Bug 972903 - fedpkg import package.src.rpm added binary to git
Summary: fedpkg import package.src.rpm added binary to git
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg (Show other bugs)
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 19:01 UTC by Paulo Andrade
Modified: 2014-08-15 18:59 UTC (History)
1 user (show)

Fixed In Version: fedpkg-1.18-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 13:08:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paulo Andrade 2013-06-10 19:01:04 UTC
I just got 2 packages approved for Fedora.
The first one did work correctly, but the second
one did add a not so small (binary) file to git:

http://pkgs.fedoraproject.org/cgit/fes.git/commit/?id=eba90c7efe2be0e0a6c11ca39ce35cb9c226061c

Comment 1 Paulo Andrade 2013-06-10 19:08:28 UTC
I see I made one mistake that may have confused
fedpkg. I did cut&paste the wrong bz number in
the initial commit, sorry.

Should have been "Initial import (#914936)",
not (#909510) but otherwise I cannot see what
else I could have done wrong to cause the
problem.

Comment 2 Dennis Gilmore 2013-06-25 03:18:58 UTC
fedpkg has a list of files that i knows about to upload to lookaside cache rather than commiting to git. i have no idea what a  .spkg file is and neither does fedpkg. we will have to teach it about them.

Comment 3 Paulo Andrade 2013-06-25 03:36:41 UTC
(In reply to Dennis Gilmore from comment #2)
> fedpkg has a list of files that i knows about to upload to lookaside cache
> rather than commiting to git. i have no idea what a  .spkg file is and
> neither does fedpkg. we will have to teach it about them.

It is a bzip2 tarball with a fancy name.

Comment 4 Dennis Gilmore 2013-06-25 06:33:26 UTC
so it should be named .tar.bz2  we will have to update fedpkg to support it

Comment 5 Fedora End Of Life 2013-09-16 14:08:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 6 Dennis Gilmore 2013-12-16 00:17:35 UTC
reassigning to the component where binary archives are set

Comment 7 Dennis Gilmore 2014-02-18 13:08:26 UTC
This is fixed in git and will be in the next release

Comment 8 Fedora Update System 2014-02-18 14:49:14 UTC
rpkg-1.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpkg-1.20-1.fc20

Comment 9 Fedora Update System 2014-02-18 14:49:50 UTC
rpkg-1.20-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpkg-1.20-1.fc19

Comment 10 Fedora Update System 2014-02-18 14:50:23 UTC
rpkg-1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rpkg-1.20-1.el6

Comment 11 Fedora Update System 2014-03-09 04:32:18 UTC
rpkg-1.20-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-03-17 03:52:56 UTC
rpkg-1.20-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-07-30 11:55:43 UTC
fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19

Comment 14 Fedora Update System 2014-07-30 12:00:48 UTC
fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20

Comment 15 Fedora Update System 2014-07-30 12:20:01 UTC
fedpkg-1.18-1.el6,rpkg-1.26-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.el6,rpkg-1.26-1.el6

Comment 16 Fedora Update System 2014-08-08 08:40:03 UTC
fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-08-15 02:54:41 UTC
fedpkg-1.18-1.fc19, rpkg-1.26-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-08-15 18:57:27 UTC
rpkg-1.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-08-15 18:59:26 UTC
fedpkg-1.18-1.el6, rpkg-1.26-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.